> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload orchestration input

> Uploads a flat JSONL execution input through Product API. The returned inputFileId is the only file ID accepted by template run APIs; inputAssetId values from /inputAssets:upload are not valid here.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json post /loom/v1/orchestrationInputs:upload
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/orchestrationInputs:upload:
    post:
      tags:
        - Input Assets
      summary: Upload orchestration input
      description: >-
        Uploads a flat JSONL execution input through Product API. The returned
        inputFileId is the only file ID accepted by template run APIs;
        inputAssetId values from /inputAssets:upload are not valid here.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.uploadOrchestrationInputRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.orchestrationInputResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.uploadOrchestrationInputRequest:
      type: object
      properties:
        content:
          type: string
          format: base64
        filename:
          type: string
    server.orchestrationInputResponse:
      type: object
      properties:
        filename:
          type: string
        inputFileId:
          type: string
        rowCount:
          type: integer
        uploadedAt:
          type: integer
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````